﻿using MySql.Data.MySqlClient;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Txgy.FilesWatcher.model
{
    public class DataBaseConnect
    {
        private string _connStr;
        DataBaseConnect()
        {
            // _connStr = $"Server=bj-cdb-q64mbxr6.sql.tencentcdb.com;Port=60027;Database=yuwu2021;Uid=yuwudba;Pwd=Yw123456;charset='utf8'";
        }
        public  DBConfig DataBaseConfig { get; set; }
        private static DataBaseConnect getInstance;
        public static DataBaseConnect GetInstance
        {
            get
            {
                if (getInstance == null)
                {
                    getInstance= new DataBaseConnect();
                }
                return getInstance; 
            }
        }
        public MySqlConnection OpenConnection()
        {
            _connStr = $"Server={DataBaseConfig.serverIP};Port={DataBaseConfig.port};Database={DataBaseConfig.database};Uid={DataBaseConfig.userName};Pwd={DataBaseConfig.password};charset='utf8'";
            MySqlConnection connection = new MySqlConnection(_connStr);
            connection.Open();
            return connection;
        }

        /////////////////////////////////
        //createtables 配置
        //起始台站号
        public int stationNoStart = 02;
        //结束台站号
        public int stationNoend = 27;
        //起始年月
        public string YearMonthStart = "2022-03";
        //结束年月
        public string YearMonthend = "2027-03";

        //uploadminiseed 配置（以分钟为单位）
        public string MiniseedPathBase = "Y:/YuwuN3102mseed/NET2023";
        //从当前年、月、日、时、分，往以前X分钟
        //'BeforeNMin' => 60*24*1,
        public int BeforeNMin = 60 * 1 * 1;
        //从当前年、月、日、时、分，往以后X分钟
        //'AfterNMin' => 60*24*1,
        public int AfterNMin = 10 * 1 * 1;


        /////////////////////////////////
        //uploadrealtime 配置（以天为单位）
        //realtimeEvent文件路径BASE
        public string EventPathBase = "Y:/YuwuN3102mseed/";
        //从当前年、月、日往以前X天
        public int EventBeforeNDay = 3;
        //从当前年、月、日往以后X天
        public int EventAfterNDay = 1;


        //PostProEvent文件路径BASE
        public string PostProEventPathBase = "Y:/YuwuN3102mseed/post/";
            //从当前年、月、日往以前X天
           public int PostProEventBeforeNDa = 3;
        //从当前年、月、日往以后X天
        public int PostProEventAfterNDay = 1;
        
    }
}
