﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Txgy.FilesWatcher.model
{
    public class CSUserSigin
    {
        public string type { get; set; }
        public string utype { get; set; }
        /// <summary>  
        ///   用户id
        /// </summary>
        public int uid { get; set; }
        /// <summary>
        /// 用户的key
        /// </summary>
        public string key { get; set; }

        public string account { get; set; }
        public string password { get; set; }
    }

    public class SCUserSigin
    {
        public string type { get; set; }
        public string message { get; set; }
        public int uid { get; set; }
        public int code { get; set; }
    }

    public class CSUserSubscribeMessage
    {
        public string type { get; set; }
        public string message { get; set; }
        public int uid { get; set; }
    }
    public class SCUserSubscribeMessage
    {
        public string type { get; set; }
        public int code { get; set; }
        public int uid { get; set; }
    }
    public class CSDevicePublish
    {
        public string type { get; set; }
        public string message { get; set; }
        public int serialNumber { get; set; }
    }
    public class SCDevicePublish
    {
        public string type { get; set; }
        public int code { get; set; }
        public string message { get; set; }
        public int serialNumber { get; set; }
    }
}
